Name:           perl-Class-DBI-Loader
Version:        0.34
Release:        5%{?dist}
Summary:        Dynamic definition of Class::DBI sub classes
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-DBI-Loader
Source0:        http://search.cpan.org/CPAN/authors/id/D/DM/DMAKI/Class-DBI-Loader-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:	perl(Lingua::EN::Inflect), perl(Test::Pod::Coverage), perl(Test::Pod)
BuildRequires:  perl(Class::DBI::mysql), perl(Class::DBI::Pg), perl(Class::DBI::SQLite)
BuildRequires:  perl(Test::More)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n Class-DBI-Loader-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# Coverage test fails
mv t/03podcoverage.t .
TEST_POD=1 make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Artistic COPYING Changes
%{perl_vendorlib}/Class/DBI
%{_mandir}/man3/*.3*


%changelog
* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.34-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.34-3
- Rebuild for perl 5.10 (again)

* Mon Jan 28 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.34-2
- rebuild for new perl

* Fri Aug 24 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.34-1
- license fix
- bump to 0.34

* Thu Sep 14 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.33-1
- bump for 0.33

* Fri Mar 31 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.32-1
- bump for 0.32

* Fri Sep  9 2005 Paul Howarth <paul@city-fan.org> 0.22-4
- include POD tests in %%check, but disable failing POD coverage test
- remove explicit Class::DBI dep because it's pulled in by other deps
  that are autodetected

* Wed Sep  7 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.22-3
- remove redundant BR: perl
- honor %%{_smp_mflags}
- include license text

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.22-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.22-1
- Initial package for Fedora Extras
